package utils

import (
	"crypto/md5"
	"encoding/hex"
	"encoding/json"
	"epur-pay/pkg/logger"
)

func EncodeMD5(value string) string {
	m := md5.New()
	m.Write([]byte(value))
	return hex.EncodeToString(m.Sum(nil))
}

func ToJson(data interface{}) string {
	if data == nil {
		return ""
	}

	if e, err := json.Marshal(data); err != nil {
		logger.AccessLogger.Warnln(err.Error())
	} else {
		return string(e)
	}
	return ""
}
